class ContactAdminModel {
  int? statusCode;
  List<Data>? data;
  String? message;
  bool? success;

  ContactAdminModel({this.statusCode, this.data, this.message, this.success});

  ContactAdminModel.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(Data.fromJson(v));
      });
    }
    message = json['message'];
    success = json['success'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['statusCode'] = statusCode;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    data['message'] = message;
    data['success'] = success;
    return data;
  }
}

class Data {
  int? id;
  String? phoneNumber;
  String? emailAddress;
  String? websiteUrl;
  bool? isActive;
  Null createdBy;
  Null modifiedBy;
  String? createdAt;
  String? updatedAt;
  Null deletedAt;

  Data(
      {this.id,
      this.phoneNumber,
      this.emailAddress,
      this.websiteUrl,
      this.isActive,
      this.createdBy,
      this.modifiedBy,
      this.createdAt,
      this.updatedAt,
      this.deletedAt});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    phoneNumber = json['phoneNumber'];
    emailAddress = json['emailAddress'];
    websiteUrl = json['websiteUrl'];
    isActive = json['isActive'];
    createdBy = json['createdBy'];
    modifiedBy = json['modifiedBy'];
    createdAt = json['createdAt'];
    updatedAt = json['updatedAt'];
    deletedAt = json['deletedAt'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['phoneNumber'] = phoneNumber;
    data['emailAddress'] = emailAddress;
    data['websiteUrl'] = websiteUrl;
    data['isActive'] = isActive;
    data['createdBy'] = createdBy;
    data['modifiedBy'] = modifiedBy;
    data['createdAt'] = createdAt;
    data['updatedAt'] = updatedAt;
    data['deletedAt'] = deletedAt;
    return data;
  }
}
